package allocagent

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/allocagent"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /alloc_agent/list allocagent GetAllocAgentList
//
// Get alloc agent list | 获取AllocAgent列表
//
// Get alloc agent list | 获取AllocAgent列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: AllocAgentListReq
//
// Responses:
//  200: AllocAgentListResp

func GetAllocAgentListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.AllocAgentListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := allocagent.NewGetAllocAgentListLogic(r.Context(), svcCtx)
		resp, err := l.GetAllocAgentList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
